# Uses of Interface
org.opensaml.saml.saml2.metadata.AttributeProfile

Packages that use AttributeProfile
Package
Description
org.opensaml.saml.saml2.metadata
Concrete definitions of the objects described in saml-metadata-2.0-os work.
org.opensaml.saml.saml2.metadata.impl
Concrete implementations of SAML 2.0 metadata objects.

## Uses of AttributeProfile in org.opensaml.saml.saml2.metadata

Methods in org.opensaml.saml.saml2.metadata that return types with arguments of type AttributeProfile
Modifier and Type
Method
Description
`List<AttributeProfile>`
AttributeAuthorityDescriptor.`getAttributeProfiles()`
Gets a list of Attribute profiles supported by this authority.
`List<AttributeProfile>`
IDPSSODescriptor.`getAttributeProfiles()`
Gets the list of attribute profiles supported by this IdP.

## Uses of AttributeProfile in org.opensaml.saml.saml2.metadata.impl

Classes in org.opensaml.saml.saml2.metadata.impl that implement AttributeProfile
Modifier and Type
Class
Description
`class`
`AttributeProfileImpl`
A concrete implementation of `AttributeProfile`.
Fields in org.opensaml.saml.saml2.metadata.impl with type parameters of type AttributeProfile
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AttributeProfile>`
AttributeAuthorityDescriptorImpl.`attributeProfiles`
Supported attribute profiles.
`private final XMLObjectChildrenList<AttributeProfile>`
IDPSSODescriptorImpl.`attributeProfiles`
Attribute profiles supported by this entity.
Methods in org.opensaml.saml.saml2.metadata.impl that return AttributeProfile
Modifier and Type
Method
Description
`AttributeProfile`
AttributeProfileBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AttributeProfile`
AttributeProfileBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml2.metadata.impl that return types with arguments of type AttributeProfile
Modifier and Type
Method
Description
`List<AttributeProfile>`
AttributeAuthorityDescriptorImpl.`getAttributeProfiles()`
Gets a list of Attribute profiles supported by this authority.
`List<AttributeProfile>`
IDPSSODescriptorImpl.`getAttributeProfiles()`
Gets the list of attribute profiles supported by this IdP.